package cokr.xit.fims.levy.service.bean;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import cokr.xit.fims.levy.Levy;
import cokr.xit.fims.levy.LevyQuery;
import cokr.xit.fims.levy.service.LevyService;
import cokr.xit.foundation.component.AbstractServiceBean;
import cokr.xit.foundation.data.DataObject;

/**부과 대장 서비스 구현체.
 *
 * <p>상세 설명:
 *
 * <pre>
 * ============ 변경 이력 ============
 * 2023-08-30	JoJH 최초 작성
 * ================================
 * </pre>
 */
@Service("levyService")
public class LevyServiceBean extends AbstractServiceBean implements LevyService {

	/** 부과 대장 정보 Bean */
	@Resource(name = "levyBean")
	private LevyBean levyBean;

	@Override
	public List<DataObject> getRdctLevyTrgtList(LevyQuery req) {
		return levyBean.getRdctLevyTrgtList(req);
	}

	@Override
	public List<DataObject> getLevyList(LevyQuery req) {
		return levyBean.getLevyList(req);
	}

	@Override
	public List<Levy> getLevys(LevyQuery req) {
		return levyBean.getLevys(req);
	}

	@Override
	public DataObject getLevyInfo(LevyQuery req) {
		return levyBean.getLevyInfo(req);
	}

	@Override
	public String getMaxLevyNo(LevyQuery req) {
		return levyBean.getMaxLevyNo(req);
	}

	@Override
	public String createRdctLevy(Levy levy) {
		return levyBean.createRdctLevy(levy);
	}

	@Override
	public String createRdctLevyList(LevyQuery req) {
		return levyBean.createRdctLevyList(req);
	}
	
	@Override
	public List<Levy> getLevyForGoji(LevyQuery req) {
		return levyBean.getLevyForGoji(req);
	}	

}
